#!/bin/sh
# 
# if your're using this script, you have to provide an on_error function
# and you must have included functions.sh

function create_user()
{
    appl=$1
    www_data="www-data"
    # Create ${appl} user
    if ! cat /etc/passwd | grep "${appl}" &>/dev/null
    then
        if ! useradd -m --groups ${www_data},postgres ${appl} 2>/dev/null
        then
            log_error "${appl} user could not be created"
            on_error
            exit 1
        else
            if ! usermod -aG ${appl} ${www_data} 2>/dev/null
            then
                log_error "${www_data} could not be added to group ${appl}"
                on_error
                exit 1
            fi
        fi
        log_msg "linux user '${appl}' created"
    fi
    if [ ! -d "/home/${appl}/tmp" ]; then
        mkdir /home/${appl}/tmp
        chmod 777 /home/${appl}/tmp
        chown ${appl}:${appl} /home/${appl}/tmp
    fi
    innovaphone_user=${appl}
    innovaphone_group=${appl}
}